package com.testor.module.safeCheck.service;


import com.testor.module.safeCheck.model.domain.TSafeHazardCheckDelay;
import com.testor.module.safeCheck.model.dto.TSafeHazardCheckDelayParam;
import com.testor.module.safeCheck.model.vo.SafeHazardCheckDelayVO;
import com.testor.module.safeCheck.model.vo.SafeHazardCheckTaskDelayVO;
import com.tongtech.tfw.backend.common.biz.models.BaseResponse;
import com.tongtech.tfw.backend.common.models.supers.SuperService;

import java.util.List;

/**
 * 巡检任务延期申请Service接口
 * 
 * @author testor-framework
 * @date 2022-08-04 11:07:09
 */
public interface TSafeHazardCheckDelayService extends SuperService<TSafeHazardCheckDelay> {
    BaseResponse editCheckDelay(TSafeHazardCheckDelay checkDelay);

    BaseResponse approvalCheckDelay(TSafeHazardCheckDelay checkDelay);

    List<TSafeHazardCheckDelay> listEntity(TSafeHazardCheckDelayParam param);

    List<TSafeHazardCheckDelay> listByTask(String taskId);

    BaseResponse deleteCheckDelay(String checkDelayId);

    List<SafeHazardCheckDelayVO> listVOByParam(TSafeHazardCheckDelayParam param);

    List<SafeHazardCheckDelayVO> listVOByTask(String taskId);

    SafeHazardCheckTaskDelayVO findById(String taskId);

}
